Информация Prestashop 1.7.6.x

protoproto

Постоялец
Регистрация
14 Янв 2018
Сообщения
56
Реакции
49
  • Заблокирован
  • #91
это рекомендация
сайты на 1.7.5-1.7.6 вполне нормально работают на PHP 7.3.8,
в том числе и на старой PS1.6.24:popcorn:

Если кто аглицкой грамоте не обучен то перевожу "Not supported" - не поддерживается. А рекомендация это там где птичка стоит в таблице на зеленом фоне.
И не надо считать себя умнее разрабов Престы и изобретать велосипед.
 

_sashok

PrestaShop Expert
Регистрация
15 Июл 2011
Сообщения
2.317
Реакции
4.114
Если кто аглицкой грамоте не обучен то перевожу "Not supported" - не поддерживается. А рекомендация это там где птичка стоит в таблице на зеленом фоне.
И не надо считать себя умнее разрабов Престы и изобретать велосипед.


спокойно: перфекционизм лечится реализмом! :)

разработчикам ядра престы главное "недобздеть", чтобы продать больше стабильности их модулей

почитайте разницу между php 7.3 и 7.2, и увидите, что там в престе 1.7 буквально пару моментов нужно учесть/подправить, и ваш проект будет "летать", например:

Prestashop 1.7.6 на CentOS 7.7 ( nginx 1.16 + php 7.3 + mysql 5.7 )
Для просмотра ссылки Войди или Зарегистрируйся
Для просмотра ссылки Войди или Зарегистрируйся
Для просмотра ссылки Войди или Зарегистрируйся
 
Последнее редактирование:

protoproto

Постоялец
Регистрация
14 Янв 2018
Сообщения
56
Реакции
49
  • Заблокирован
  • #93
спокойно: перфекционизм лечится реализмом! :)
повторяю не надо изобретать велосипед, нужно всегда придерживаться рекомендаций производителя.
И править ее тоже не надо, а то потом автоапдейт не работает и глюки косяками.
 

ВасилийК

Постоялец
Регистрация
22 Авг 2017
Сообщения
64
Реакции
58
Спасибо!

В итоге появляется ошибка...
The locale Modules.Robokassa.Admin is invalid

При попытке войти во вкладку сотрудников в режиме отладки появляется ошибка...

Код:
An exception occurred while executing 'SELECT t0.id AS id_1, t0.employee AS employee_2, t0.shop AS shop_3, t0.controller AS controller_4, t0.action AS action_5, t0.filter AS filter_6, t0.filter_id AS filter_id_7 FROM ps17GF_admin_filter t0 WHERE t0.employee = ? AND t0.shop = ? AND t0.controller = ? AND t0.action = ? LIMIT 1' with params [2, 1, "employee", "index"]:

SQLSTATE[42S22]: Column not found: 1054 Unknown column 't0.filter_id' in 'field list'


Всем доброго дня!

В итоге... обновил MySQL до версии 5.7, обновил снова. Ошибок стало меньше (возможно связано не с этим). Ошибки выдавали модули google advanced sitemap и robokassa. После удаления ошибки пропали.
 

yuazakharov

Постоялец
Регистрация
22 Янв 2013
Сообщения
300
Реакции
159
PHP 5.6 + Apache 2.2 + MySQL 5.0 + Debian 7.

Presta 1.7.6.1 при установке выдает ошибку:
1: HTTP 502 - error -
Таблицы в базу создаются.

Раньше сюда 1.6 без проблем ставился, а тут такая беда

28569277_m.jpg
28569278_m.jpg

В логах какой то непонятный путь запрашивает
File does not exist: /home/admin/web/ouykt.ru/public_html/2019

ls: cannot access /home/admin/web/ouykt.ru/public_html/2019: No such file or directory
 
Последнее редактирование:

Jarhead

Постоялец
Регистрация
17 Июн 2011
Сообщения
414
Реакции
169
Касательно версий PHP, по своему опыту наблюдал проблемы работы prestashop 1.7.5.1 - 1.7.6.1 на PHP 7.2 при включенном модуле Memcached в самых неожиданных местах типа авторизации в админку или чистки кеша на странице производительности, может и еще где ошибки есть, не изучал, на версии php 7.1 все ок.

И самое главное то что Вы измените версию PHP на 7.2 или 7.3 это вообще не означает что у Вас сайт будет работать быстрее, надежнее или как то лучше. Сначала почитайте об разнице между 7.1 и 7.2-73 потом прикиньте как именно это применимо может быть для prestashop, а после изучите применяется ли где новшества этих версий в prestashop. Если на официальном сайте поддержка этих версий не заявлена, то и ставить эту версию PHP не имеет абсолютно не какого смысла, все что Вы получите это скорее всего возможные ошибки.
 

Jarhead

Постоялец
Регистрация
17 Июн 2011
Сообщения
414
Реакции
169
PHP 5.6 + Apache 2.2 + MySQL 5.0 + Debian 7.

Presta 1.7.6.1 при установке выдает ошибку:
1: HTTP 502 - error -
Таблицы в базу создаются.

Раньше сюда 1.6 без проблем ставился, а тут такая беда

28569277_m.jpg
28569278_m.jpg

В логах какой то непонятный путь запрашивает
File does not exist: /home/admin/web/ouykt.ru/public_html/2019

ls: cannot access /home/admin/web/ouykt.ru/public_html/2019: No such file or directory

Mysql 5.0 вот прям так и написано? Посмотрите что в php error логе.
 
Сверху